## org.eclipse.amp.amf.ide.repast
Class RepastProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.amf.gen.ide.PluginProjectWizard
              org.eclipse.amp.amf.ide.repast.RepastProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  RepastBareProjectWizard

    public class RepastProjectWizard

extends PluginProjectWizard
implements org.eclipse.ui.INewWizard

Field Summary
`static java.lang.String` `REPAST_HOME`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`RepastProjectWizard()`

Method Summary
`void` `addBuilders(java.util.List<java.lang.String> builderIDs)`
`void` `addClasspaths(java.util.List<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, org.eclipse.core.resources.IProject project)`
`java.lang.String` `getProjectTypeName()`
`java.lang.String` `getSourceDirName()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.PluginProjectWizard
`addPages, createFiles, getNatures, getPluginID, getProject, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchWizard
`init`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

Field Detail

### REPAST_HOME

    public static java.lang.String REPAST_HOME

Constructor Detail

### RepastProjectWizard

    public RepastProjectWizard()

Method Detail

### addClasspaths

    public void addClasspaths(java.util.List<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                              org.eclipse.core.resources.IProject project)
                       throws org.eclipse.core.runtime.CoreException

  Overrides:
    `addClasspaths` in class `PluginProjectWizard`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### addBuilders

    public void addBuilders(java.util.List<java.lang.String> builderIDs)

  Overrides:
    `addBuilders` in class `PluginProjectWizard`

### getSourceDirName

    public java.lang.String getSourceDirName()

  Overrides:
    `getSourceDirName` in class `PluginProjectWizard`

### getProjectTypeName

    public java.lang.String getProjectTypeName()

  Overrides:
    `getProjectTypeName` in class `PluginProjectWizard`